#include <QApplication>
#include <QtGui>
#include <QList>
#include <QGraphicsView>
#include <QDesktopWidget>
#include <QScrollArea>

#include "mainwindow.h"
#include "ui_mainwindow.h"

QList<QGraphicsView *> list;
int gv_count=10; //count of QGraphicsView's
static int gviev_wight=350, gviev_height=100;

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    MainWindow w;
    w.show();
    return app.exec();
}

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent)
{
    setupUi(this);

    setMinimumWidth(gviev_wight+20);
    //setMinimumHeight(gviev_height*2+30);
    //setMaximumHeight(gviev_height*5+60);
    setMaximumHeight(600);

    for(int i=0;i<gv_count;i++)
    {
        list.append(new QGraphicsView(widget));
    }
}

void MainWindow::resizeEvent(QResizeEvent *e)
{
    scrollArea->setGeometry(0,0,width()-100,height());
    widget->setGeometry(100,100,width()+200,height()+200);
    mdiArea->setGeometry(0,0,widget->width(),widget->height());
    //10+w+10+w+10
    int x=10, y=10, c=0;
    int  k=(widget->width())/(gviev_wight+20);
    for (int i=0; i<list.count();i++)
    {
        list[i]->setGeometry(x,y,gviev_wight,gviev_height);
        x+=gviev_wight+10;
        c++;
        if (c==k) {y+=gviev_height+10; x=10; c=0;}
    }
    //if (k>5)
    //    setGeometry(pos().x(), pos().y(), );
    //setGeometry(pos().x(), pos().y(), gviev_wight*k+10*(k+1), gviev_height*(gv_count/k)+(gv_count/k)*10+10);
    //if (gv_count>5) setGeometry(pos().x(), pos().y(), gviev_wight*2+30, height());
}
